package com.muyu.mapper;

import com.muyu.domain.constants.Type;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author：qdm
 * @Package：com.muyu.mapper
 * @Project：cloud-etl-engine
 * @name：TypeMapper
 * @Date：2024/8/23 22:36
 */
@Mapper
public interface TypseMapper {

    List<Type> list();

    Integer add(Type type);

    Integer update(Type type);

    Integer delete(@Param("id") Integer id);
}
