package com.muyu.service;

import com.muyu.controller.EngineLevelController;
import com.muyu.domain.EngineLevelEntity;
import com.muyu.domain.constants.Result;

import java.util.List;

/**
 * @Author：qdm
 * @Package：com.muyu.service
 * @Project：cloud-etl-engine
 * @name：EngineLevelService
 * @Date：2024/8/25 18:52
 */
public interface EngineLevelService {
    List<EngineLevelController> list();

    Result<EngineLevelEntity> insert(EngineLevelEntity engineLevelEntity);

    Result<EngineLevelEntity> update(EngineLevelEntity engineLevelEntity);

    Result delete(Integer id);

    Result deleteBatch(Integer[] ids);

    Result selectById(Integer id);
}
